<?php
/**
 * Link         :   http://www.phpcorner.net
 * User         :   qingbing<780042175@qq.com>
 * Date         :   2018-10-27
 * Version      :   1.0
 */

namespace Test;

use TestClass\DemoBase;
use TestCore\Tester;

/**
 * Class Core
 * @package Test
 */
class TestBase extends Tester
{
    /**
     * 执行函数
     * @return mixed|void
     * @throws \Exception
     */
    public function run()
    {
        // Base类实例化
        $demo = new DemoBase();
        var_dump($demo);
        // 获取配置类
        $demo->configure([
            'name' => 'Qingbing',
            'age' => 18,
        ]);
        var_dump($demo);
        // 调用 setSex()
        $demo->sex = "男";
        // 调用getSex();
        var_dump($demo->sex);
        var_dump($demo);
        // 判断是否为可读属性
        var_dump($demo->canGetProperty("name"));
        // 判断是否为可写属性
        var_dump($demo->canSetProperty("name"));
        // 判断是否为拥有属性（读或写）
        var_dump($demo->hasProperty("xxx"));
    }
}